Subject: Re: Bug#927825: arm: mvneta driver used on Armada XP GP boards does not receive packets (regression from 4.9)

From: Aurelien Jarno <[email-masked]>
Date: Wed, 1 May 2019 22:33:32 +0200

Hi,

On 2019-05-01 00:04, Aurelien Jarno wrote:
> On 2019-04-30 10:12, Uwe Kleine-König wrote:
> > > > More precisely the board is a "Marvell Armada XP Development Board
> > > > DB-MV784MP-GP"
> > > > 
> > > > > anymore. Using tcpdump on both the buildd and a remote host, it appears
> > > > > that the packets correctly leave the board and that the reception side
> > > > > fails.
> > 
> > If you can send to a remote host at least ARP (or ND) must be working,
> > so some reception still works, right?
> 
> I have to try again, but what i have seen is the ARP requests from
> hartmann arriving to the other hosts on the subnet. Steve McIntyre
> (added in Cc:) confirmed me on IRC being able to reproduce the issue on
> another board.

I confirm that. Basically on the other hosts of the same subnet, I can
see the ARP requests:

18:23:45.979860 ARP, Request who-has 172.28.17.1 tell 172.28.17.18, length 46
18:23:47.002990 ARP, Request who-has 172.28.17.1 tell 172.28.17.18, length 46
18:23:48.027262 ARP, Request who-has 172.28.17.1 tell 172.28.17.18, length 46
18:23:52.004248 ARP, Request who-has 172.28.17.1 tell 172.28.17.18, length 46
18:23:53.019252 ARP, Request who-has 172.28.17.1 tell 172.28.17.18, length 46
18:23:54.043276 ARP, Request who-has 172.28.17.1 tell 172.28.17.18, length 46
18:23:58.027937 ARP, Request who-has 172.28.17.1 tell 172.28.17.18, length 46

172.28.17.1 is the gateway, 172.28.17.18 is hartmann.d.o. 

> > Is it possible to test a few things on hartmann? I'd suggest:
> > 
> >  - try (vanilla) 5.1-rc6 with MVNETA=y

I have tried 5.1-rc7 with:

CONFIG_MVNETA_BM_ENABLE=y
CONFIG_MVNETA=y
CONFIG_MVNETA_BM=y

and also with

CONFIG_MVNETA_BM_ENABLE=m
CONFIG_MVNETA=m
CONFIG_MVNETA_BM=m

And the mvneta network driver is not able to receive data in both cases.

Best regards,
Aurelien

-- 
Aurelien Jarno                          GPG: 4096R/1DDD8C9B
[email-masked]                 http://www.aurel32.net